# Class Thelia\Model\om\BaseCategoryVersionQuery | thelia

# Class BaseCategoryVersionQuery

Base class that represents a query for the 'category_version' table.

  ModelCriteria
  Thelia\Model\om\BaseCategoryVersionQuery

#### Direct known subclasses

Thelia\Model\CategoryVersionQuery
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseCategoryVersionQuery.php

Methods summary

`public`

# `__construct( string $dbName = 'thelia', string $modelName = 'Thelia\\Model\\CategoryVersion', string $modelAlias = null )`

Initializes internal state of BaseCategoryVersionQuery object.

Initializes internal state of BaseCategoryVersionQuery object.

#### Parameters

$dbName
  `string`
  $dbName The dabase name
$modelName
  `string`
  $modelName The phpName of a model, e.g. 'Book'
$modelAlias
  `string`
  $modelAlias The alias for the model in this query, e.g. 'b'

`public static `Thelia\Model\CategoryVersionQuery``

# `create( string $modelAlias = null, `Thelia\Model\CategoryVersionQuery`|Criteria $criteria = null )`

Returns a new CategoryVersionQuery object.

Returns a new CategoryVersionQuery object.

#### Parameters

$modelAlias
  `string`
  $modelAlias The alias of a model in the query
$criteria
  ``Thelia\Model\CategoryVersionQuery`|Criteria`
  $criteria Optional Criteria to build the query from

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersion`|`Thelia\Model\CategoryVersion[]`|mixed`

# `findPk( array $key, PropelPDO $con = null )`

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

    $obj = $c->findPk(array(12, 34), $con);

#### Parameters

$key
  `array`
  $key Primary key to use for the query A Primary key composition: [$id, $version]
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\CategoryVersion`|`Thelia\Model\CategoryVersion[]`|mixed`
the result, formatted by the current formatter

`protected `Thelia\Model\CategoryVersion``

# `findPkSimple( mixed $key, PropelPDO $con )`

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\CategoryVersion``
A model object, or null if the key is not found

#### Throws

`PropelException`

`protected `Thelia\Model\CategoryVersion`|`Thelia\Model\CategoryVersion[]`|mixed`

# `findPkComplex( mixed $key, PropelPDO $con )`

Find object by primary key.

Find object by primary key.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\CategoryVersion`|`Thelia\Model\CategoryVersion[]`|mixed`
the result, formatted by the current formatter

`public PropelObjectCollection|`Thelia\Model\CategoryVersion[]`|mixed`

# `findPks( array $keys, PropelPDO $con = null )`

Find objects by primary key

    $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con);

Find objects by primary key

    $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con);

#### Parameters

$keys
  `array`
  $keys Primary keys to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\CategoryVersion[]`|mixed`
the list of results, formatted by the current formatter

`public `Thelia\Model\CategoryVersionQuery``

# `filterByPrimaryKey( mixed $key )`

Filter the query by primary key

Filter the query by primary key

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\CategoryVersionQuery``

# `filterByPrimaryKeys( array $keys )`

Filter the query by a list of primary keys

Filter the query by a list of primary keys

#### Parameters

$keys
  `array`
  $keys The list of primary key to use for the query

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\CategoryVersionQuery``

# `filterById( mixed $id = null, string $comparison = null )`

Filter the query on the id column

Filter the query on the id column

Example usage:

    $query->filterById(1234); // WHERE id = 1234
    $query->filterById(array(12, 34)); // WHERE id IN (12, 34)
    $query->filterById(array('min' => 12)); // WHERE id > 12

#### Parameters

$id
  `mixed`
  $id The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

#### See

``Thelia\Model\om\BaseCategoryVersionQuery::filterByCategory()``

`public `Thelia\Model\CategoryVersionQuery``

# `filterByParent( mixed $parent = null, string $comparison = null )`

Filter the query on the parent column

Filter the query on the parent column

Example usage:

    $query->filterByParent(1234); // WHERE parent = 1234
    $query->filterByParent(array(12, 34)); // WHERE parent IN (12, 34)
    $query->filterByParent(array('min' => 12)); // WHERE parent > 12

#### Parameters

$parent
  `mixed`
  $parent The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\CategoryVersionQuery``

# `filterByLink( string $link = null, string $comparison = null )`

Filter the query on the link column

Filter the query on the link column

Example usage:

    $query->filterByLink('fooValue');   // WHERE link = 'fooValue'
    $query->filterByLink('%fooValue%'); // WHERE link LIKE '%fooValue%'

#### Parameters

$link
  `string`
  $link The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\CategoryVersionQuery``

# `filterByVisible( mixed $visible = null, string $comparison = null )`

Filter the query on the visible column

Filter the query on the visible column

Example usage:

    $query->filterByVisible(1234); // WHERE visible = 1234
    $query->filterByVisible(array(12, 34)); // WHERE visible IN (12, 34)
    $query->filterByVisible(array('min' => 12)); // WHERE visible > 12

#### Parameters

$visible
  `mixed`
  $visible The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\CategoryVersionQuery``

# `filterByPosition( mixed $position = null, string $comparison = null )`

Filter the query on the position column

Filter the query on the position column

Example usage:

    $query->filterByPosition(1234); // WHERE position = 1234
    $query->filterByPosition(array(12, 34)); // WHERE position IN (12, 34)
    $query->filterByPosition(array('min' => 12)); // WHERE position > 12

#### Parameters

$position
  `mixed`
  $position The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\CategoryVersionQuery``

# `filterByCreatedAt( mixed $createdAt = null, string $comparison = null )`

Filter the query on the created_at column

Filter the query on the created_at column

Example usage:

    $query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'

#### Parameters

$createdAt
  `mixed`
  $createdAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\CategoryVersionQuery``

# `filterByUpdatedAt( mixed $updatedAt = null, string $comparison = null )`

Filter the query on the updated_at column

Filter the query on the updated_at column

Example usage:

    $query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'

#### Parameters

$updatedAt
  `mixed`
  $updatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\CategoryVersionQuery``

# `filterByVersion( mixed $version = null, string $comparison = null )`

Filter the query on the version column

Filter the query on the version column

Example usage:

    $query->filterByVersion(1234); // WHERE version = 1234
    $query->filterByVersion(array(12, 34)); // WHERE version IN (12, 34)
    $query->filterByVersion(array('min' => 12)); // WHERE version > 12

#### Parameters

$version
  `mixed`
  $version The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\CategoryVersionQuery``

# `filterByVersionCreatedAt( mixed $versionCreatedAt = null, string $comparison = null )`

Filter the query on the version_created_at column

Filter the query on the version_created_at column

Example usage:

    $query->filterByVersionCreatedAt('2011-03-14'); // WHERE version_created_at = '2011-03-14'
    $query->filterByVersionCreatedAt('now'); // WHERE version_created_at = '2011-03-14'
    $query->filterByVersionCreatedAt(array('max' => 'yesterday')); // WHERE version_created_at > '2011-03-13'

#### Parameters

$versionCreatedAt
  `mixed`
  $versionCreatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\CategoryVersionQuery``

# `filterByVersionCreatedBy( string $versionCreatedBy = null, string $comparison = null )`

Filter the query on the version_created_by column

Filter the query on the version_created_by column

Example usage:

    $query->filterByVersionCreatedBy('fooValue');   // WHERE version_created_by = 'fooValue'
    $query->filterByVersionCreatedBy('%fooValue%'); // WHERE version_created_by LIKE '%fooValue%'

#### Parameters

$versionCreatedBy
  `string`
  $versionCreatedBy The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\CategoryVersionQuery``

# `filterByCategory( `Thelia\Model\Category`|PropelObjectCollection $category, string $comparison = null )`

Filter the query by a related Category object

Filter the query by a related Category object

#### Parameters

$category
  ``Thelia\Model\Category`|PropelObjectCollection`
  $category The related object(s) to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\CategoryVersionQuery``

# `joinCategory( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Adds a JOIN clause to the query using the Category relation

Adds a JOIN clause to the query using the Category relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

`public `Thelia\Model\CategoryQuery``

# `useCategoryQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Use the Category relation Category object

Use the Category relation Category object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\CategoryQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\CategoryVersionQuery``

# `prune( `Thelia\Model\CategoryVersion` $categoryVersion = null )`

Exclude object from result

Exclude object from result

#### Parameters

$categoryVersion
  ``Thelia\Model\CategoryVersion``
  $categoryVersion Object to remove from the list of results

#### Returns

``Thelia\Model\CategoryVersionQuery``
The current query, for fluid interface

Magic methods summary

`public `Thelia\Model\CategoryVersionQuery``

# `orderById( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the id column

Order by the id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `orderByParent( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the parent column

Order by the parent column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `orderByLink( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the link column

Order by the link column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `orderByVisible( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the visible column

Order by the visible column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `orderByPosition( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the position column

Order by the position column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `orderByCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the created_at column

Order by the created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `orderByUpdatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the updated_at column

Order by the updated_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `orderByVersion( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the version column

Order by the version column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `orderByVersionCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the version_created_at column

Order by the version_created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `orderByVersionCreatedBy( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the version_created_by column

Order by the version_created_by column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `groupById( )`

Group by the id column

Group by the id column

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `groupByParent( )`

Group by the parent column

Group by the parent column

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `groupByLink( )`

Group by the link column

Group by the link column

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `groupByVisible( )`

Group by the visible column

Group by the visible column

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `groupByPosition( )`

Group by the position column

Group by the position column

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `groupByCreatedAt( )`

Group by the created_at column

Group by the created_at column

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `groupByUpdatedAt( )`

Group by the updated_at column

Group by the updated_at column

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `groupByVersion( )`

Group by the version column

Group by the version column

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `groupByVersionCreatedAt( )`

Group by the version_created_at column

Group by the version_created_at column

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `groupByVersionCreatedBy( )`

Group by the version_created_by column

Group by the version_created_by column

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `leftJoin( mixed $relation = )`

Adds a LEFT JOIN clause to the query

Adds a LEFT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `rightJoin( mixed $relation = )`

Adds a RIGHT JOIN clause to the query

Adds a RIGHT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `innerJoin( mixed $relation = )`

Adds a INNER JOIN clause to the query

Adds a INNER JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `leftJoinCategory( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the Category relation

Adds a LEFT JOIN clause to the query using the Category relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `rightJoinCategory( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the Category relation

Adds a RIGHT JOIN clause to the query using the Category relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersionQuery``

# `innerJoinCategory( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the Category relation

Adds a INNER JOIN clause to the query using the Category relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CategoryVersionQuery``

`public `Thelia\Model\CategoryVersion``

# `findOne( PropelPDO $con = null )`

Return the first CategoryVersion matching the query

Return the first CategoryVersion matching the query

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\CategoryVersion``

`public `Thelia\Model\CategoryVersion``

# `findOneOrCreate( PropelPDO $con = null )`

Return the first CategoryVersion matching the query, or a new CategoryVersion object populated from the query conditions when no match is found

Return the first CategoryVersion matching the query, or a new CategoryVersion object populated from the query conditions when no match is found

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\CategoryVersion``

`public `Thelia\Model\CategoryVersion``

# `findOneById( integer $id = )`

Return the first CategoryVersion filtered by the id column

Return the first CategoryVersion filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

``Thelia\Model\CategoryVersion``

`public `Thelia\Model\CategoryVersion``

# `findOneByParent( integer $parent = )`

Return the first CategoryVersion filtered by the parent column

Return the first CategoryVersion filtered by the parent column

#### Parameters

$parent
  `integer`
  $parent

#### Returns

``Thelia\Model\CategoryVersion``

`public `Thelia\Model\CategoryVersion``

# `findOneByLink( string $link = )`

Return the first CategoryVersion filtered by the link column

Return the first CategoryVersion filtered by the link column

#### Parameters

$link
  `string`
  $link

#### Returns

``Thelia\Model\CategoryVersion``

`public `Thelia\Model\CategoryVersion``

# `findOneByVisible( integer $visible = )`

Return the first CategoryVersion filtered by the visible column

Return the first CategoryVersion filtered by the visible column

#### Parameters

$visible
  `integer`
  $visible

#### Returns

``Thelia\Model\CategoryVersion``

`public `Thelia\Model\CategoryVersion``

# `findOneByPosition( integer $position = )`

Return the first CategoryVersion filtered by the position column

Return the first CategoryVersion filtered by the position column

#### Parameters

$position
  `integer`
  $position

#### Returns

``Thelia\Model\CategoryVersion``

`public `Thelia\Model\CategoryVersion``

# `findOneByCreatedAt( string $created_at = )`

Return the first CategoryVersion filtered by the created_at column

Return the first CategoryVersion filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

``Thelia\Model\CategoryVersion``

`public `Thelia\Model\CategoryVersion``

# `findOneByUpdatedAt( string $updated_at = )`

Return the first CategoryVersion filtered by the updated_at column

Return the first CategoryVersion filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

``Thelia\Model\CategoryVersion``

`public `Thelia\Model\CategoryVersion``

# `findOneByVersion( integer $version = )`

Return the first CategoryVersion filtered by the version column

Return the first CategoryVersion filtered by the version column

#### Parameters

$version
  `integer`
  $version

#### Returns

``Thelia\Model\CategoryVersion``

`public `Thelia\Model\CategoryVersion``

# `findOneByVersionCreatedAt( string $version_created_at = )`

Return the first CategoryVersion filtered by the version_created_at column

Return the first CategoryVersion filtered by the version_created_at column

#### Parameters

$version_created_at
  `string`
  $version_created_at

#### Returns

``Thelia\Model\CategoryVersion``

`public `Thelia\Model\CategoryVersion``

# `findOneByVersionCreatedBy( string $version_created_by = )`

Return the first CategoryVersion filtered by the version_created_by column

Return the first CategoryVersion filtered by the version_created_by column

#### Parameters

$version_created_by
  `string`
  $version_created_by

#### Returns

``Thelia\Model\CategoryVersion``

`public array`

# `findById( integer $id = )`

Return CategoryVersion objects filtered by the id column

Return CategoryVersion objects filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

`array`

`public array`

# `findByParent( integer $parent = )`

Return CategoryVersion objects filtered by the parent column

Return CategoryVersion objects filtered by the parent column

#### Parameters

$parent
  `integer`
  $parent

#### Returns

`array`

`public array`

# `findByLink( string $link = )`

Return CategoryVersion objects filtered by the link column

Return CategoryVersion objects filtered by the link column

#### Parameters

$link
  `string`
  $link

#### Returns

`array`

`public array`

# `findByVisible( integer $visible = )`

Return CategoryVersion objects filtered by the visible column

Return CategoryVersion objects filtered by the visible column

#### Parameters

$visible
  `integer`
  $visible

#### Returns

`array`

`public array`

# `findByPosition( integer $position = )`

Return CategoryVersion objects filtered by the position column

Return CategoryVersion objects filtered by the position column

#### Parameters

$position
  `integer`
  $position

#### Returns

`array`

`public array`

# `findByCreatedAt( string $created_at = )`

Return CategoryVersion objects filtered by the created_at column

Return CategoryVersion objects filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

`array`

`public array`

# `findByUpdatedAt( string $updated_at = )`

Return CategoryVersion objects filtered by the updated_at column

Return CategoryVersion objects filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

`array`

`public array`

# `findByVersion( integer $version = )`

Return CategoryVersion objects filtered by the version column

Return CategoryVersion objects filtered by the version column

#### Parameters

$version
  `integer`
  $version

#### Returns

`array`

`public array`

# `findByVersionCreatedAt( string $version_created_at = )`

Return CategoryVersion objects filtered by the version_created_at column

Return CategoryVersion objects filtered by the version_created_at column

#### Parameters

$version_created_at
  `string`
  $version_created_at

#### Returns

`array`

`public array`

# `findByVersionCreatedBy( string $version_created_by = )`

Return CategoryVersion objects filtered by the version_created_by column

Return CategoryVersion objects filtered by the version_created_by column

#### Parameters

$version_created_by
  `string`
  $version_created_by

#### Returns

`array`